| Priorität         | Gewichtung |
| ----------------- | ---------- |
| Essenziell        | 5          |
| Bedingt Notwendig | 3          |
| Optional          | 1          |

Punktevergabe:

| Erfüllt       | Punkte |
| ------------- | ------ |
| Erfüllt       | 1      |
| Nicht erfüllt | 0      |

Gewichtung:

| Frage                                                                            | Priorität         | Bedeutung                                                                                         |
| -------------------------------------------------------------------------------- | ----------------- | ------------------------------------------------------------------------------------------------- |
| 2. Is the software design monolithic or modular                                  | optional          | Hat die Software eine monolithische oder modulare Architektur?                                    |
| 3. Can components be replaced?                                                   | bedingt notwendig | Können bestehende Komponenten durch geupdatete oder neu geschriebene Komponen ausgetauscht werden |
| 4. Can components be replaced by third-party solutions?                          | bedingt notwendig | Können Komponenten des Systems durch Komponenten von Drittanbietern ersetzt werden können         |
| 5. Is an external database used?                                                 | Essenziell        | Wird eine externe Datenband verwendet                                                             |
| 5.1. SQL DB?                                                                     | Essenziell        | Ist diese eine SQL Datenbank                                                                      |
| 5.2. NoSQL?                                                                      | Optional          | Ist diese eine NoSQL Datenbank?                                                                   |
| 6. Is the software built in a layered architecture?                              | bedingt notwendig | Wurde die Software in Schichten entsprechend der Clean Architekture geschrieben?                  |
| 7. Is there a web front end?                                                     | essenziell        | Gibt es ein Webfrontend?                                                                          |
| 8. Is there a customizable dashboard?                                            | essenziell        | Können eigene Dashboards angelegt werden?                                                         |
| 9. Is the web frontend interchangeable?                                          | bedingt notwendig | Kann das Webfrontend durch ein anderes Produkt ausgetauscht werden?                               |
| 10. What transfer formats are supported?                                         |                   | Welche Datenformate werden für den Datenaustausch zwischen Systemen unterstützt                   |
| 10.1. JSON                                                                       | bedingt notwendig | Wird JSON für den Datenaustausch unterstützt                                                      |
| 10.2. XML                                                                        | bedingt notwendig | Wird XML für den Dautenaustausch unterstützt                                                      |
| 10.3. Other                                                                      | optional          | Werden andere Formate unterstützt                                                                 |
| 11. Are custom plugins possible?                                                 | bedingt notwendig | Können Funktionalitäten durch eigene Plugins hinzugefügt werden?                                  |
| 12. Is there a dedicated ingress layer?                                          | essenziell        | Gibt es eine dedizierte Schicht für den Ingress von Daten                                         |
| 13. Is there a dedicated storage layer?                                          | essenziell        | Gibt es eine dedizierte Schicht für die Speicherung von Daten                                     |
| 14. Is there a northbound interface?                                             | optional          | Gibt es ein Northbound Interface                                                                  |
| 15. Is there a southbound interface?                                             | optional          | Gibt es ein Southbound Interface                                                                  |
| 16. Is SNMP supported?                                                           | essenziell        | Wird SNMP unterstützt?                                                                            |
| 17. Are webhooks supported?                                                      | bedingt notwendig | Werden Webhooks unterstützt?                                                                      |
| 18. Is Messagepack supported?                                                    | optional          | Wird Messagepack unterstützt?                                                                     |
| 19. Is MQTT supported?                                                           | optional          | Wird MQTT unterstützt?                                                                            |
| 20. Is Syslog supported?                                                         | bedingt notwendig | Wird Syslog unterstützt?                                                                          |
| 21. Is a log file parser included?                                               | essenziell        | Gibt es einen Log File Parser?                                                                    |
| 22. Is there a root cause analysis function?                                     | optional          | Gibt es eine Funktion für eine Root-Cause-Analyse?                                                |
| 23. Is transformation of data to custom format supported?                        | optional          | Können Log/Rohdaten innerhalb der Software in ein eigenes Format transformiert werden             |
| 24. Is the software SCOM compatible?                                             | bedingt notwendig | Ist die Firma SCOM kompatibel?                                                                    |
| 25. Are interfaces available?                                                    | essenziell        | Gibt es Schnittstellen?                                                                           |
| 25.1. REST                                                                       | essenziell        | Wird REST unterstützt?                                                                            |
| 25.2. SOAP                                                                       | bedingt notwendig | Wird SOAP unterstützt?                                                                            |
| 25.3. Other?                                                                     | optional          | Werden andere Schnittstellen unterstützt?                                                         |
| 26. Can bursts be intercepted?                                                   | essenziell        | Können Bursts an SNMP-Traps abgefangen werden?                                                    |
| 27. Can own log formats be defined?                                              | optional          | Können eigene Logformate definiert werden?                                                        |
| 28. Can the system be used as UFM (Umbrella Fault Management)?                   | optional          | Kann das System als ein Umbrella Fault Management System genutzt werden?                          |
| 29. Can logs, metrics and traces be captured?                                    | essenziell        | Kann das System Logs, Metriken und Traces auswerten?                                              |
| 29.1. Can these be evaluated evaluated automatically | optional          | Können diese durch eine KI ausgewertet werden?                                                                                                  |
| 30. Is workflow monitoring possible?                                             | optional          |                                                                                                   |
| 31. Is application monitoring possible?                                          | optional          |                                                                                                   |
| 32. Is license monitoring possible?                                              | optional          |                                                                                                   |
| 33. Is hardware monitoring possible?                                             | essenziell        |                                                                                                   |
| 34. Is there a rights model (user/operator/admin...)?                            | essenziell        |                                                                                                   |
| 35. Is the system deployable on Kubernetes?                                      | essenziell        |                                                                                                   |
| 36. Are deployments to multiple locations possible?                              | essenziell        |                                                                                                   |
| 37. Is there a SaaS solution?                                                    | optional          |                                                                                                   |
| 38. Can the tool be operated in the cloud?                                       | optional          |                                                                                                   |
| 39. Is there a license model?                                                    | essenziell          |                                                                                                   |
| 39.1. Per device                                                                 | essenziell          |                                                                                                   |
| 39.2. Per aspect                                                                 | essenziell          |                                                                                                   |
| 39.3. Other                                                                      | essenziell          |                                                                                                   |
| 40. Is there a redundancy concept?                                               | essenziell        |                                                                                                   |
| 41. Is support available?                                                        | optional          |                                                                                                   |
| 41.1. Mail Support?                                                              | optional          |                                                                                                   |
| 41.2. Chat support?                                                              | optional          |                                                                                                   |
| 41.3. Is it possible to have a dedicated contact person?                         | optional          |                                                                                                   |
| 42. Is there an SLA?                                                             | optional          |                                                                                                   |
| 43. Is the software open source?                                                 | optional          |                                                                                                   |
| 44. Is the software customizable by SWR?                                         | essenziell        |                                                                                                   |
| 44.1. Is it updateable by SWR?                                                   | bedingt notwendig |                                                                                                   |
| 44.2. Can it be further used as SWR's own fork?                                  | bedingt notwendig |                                                                                                   |

