- Alles Ja/Nein Fragen (bis auf Frage 2)
- Somit Vergleichbarkeit sichergestellt
- "Other" Option: Mit dieser kann festgehalten werden, ob es noch weitere Optionen des Herstellers gibt, als Ja/Nein Frage ausgeführt, um Vergleichbarkeit zu haben

### Blah Blah zu Fragen

- geschlossene, halboffene und offene Fragen
	- geschlossene Fragen
		- Fragetext ist vorgegeben
		- Antwortmöglichkeiten sind auch vorgegeben
		- Dadurch einfache Auswertung
		- Missverständnisse werden vermieden
	- halboffene Fragen
		- ähnlich zu geschlossene Fragen
		- Zusätzliche Kategorie, die vom Befragten selbst ausgefüllt werden kann (z.B. Sonstige oder Andere)
		- Einsetzbar, wenn genaue Vorstellung besteht, was geantwortet werden soll
	- offene Fragen:
		- Fragetext wird vorgegeben
		- Antworten können frei gewählt werden
		- Dadurch schlechte Auswertbarkeit
### Fragen des Fragebogens

1. Product name
	Name des Produkts

2. Is the software design monolithic or modular
	- Softwarearchitektur
	- Modular oder monolithisch aufgebaut

3. Can components be replaced?
	- einzelne Komponenten der Software ersetzbar

4. Can components be replaced by third-party solutions?
	- einzelne Komponenten der Software durch Drittanbieter-Lösungen ersetzbar

5. Is an external database used?
	- externe DB zur Speicherung von Daten genutzt?
	1. SQL DB?
		- Handelt es sich bei dieser Datenbank um eine SQL DB?
	1. NoSQL?
		-  Speicherung in NoSQL DB
		- Ergänzung zu SQL DB

10. Is the software built in a layered architecture?
	- Softwareschichten nach Clean Architecture
	- Clean Architekture
		- 

12. Is there a web front end?
	- Webfrontend verfügbar

14. Is there a customizable dashboard?
	- Möglichkeit, eigene Dashboards zu erstellen

16. Is the web frontend interchangeable?
	- Kann das Frontend durch Alternativen ersetzt werden? 

17. What transfer formats are supported?
	- Welche Transferformate werden unterstützt
	- Transferformate erklären
		- 

	2. JSON
	- Wird JSON unterstützt
	4. XML
	- Wird XML unterstützt
	6. Other
	- Werden andere Transferformate unterstützt

19. Are custom plugins possible?
	- Kann der Funktionsumfang der Software durch eigene Plugins erweitert werden?

21. Is there a dedicated ingress layer?
	- Wird ein dedizierter Punkt für den Ingress von Daten benutzt? z.B. Reverse Proxy

23. Is there a dedicated storage layer?
	- Gibt es eine 

25. Is there a northbound interface?
	- Vorhandensein eines Northbound Interfaces
	- Erklärung Northbound Interface

27. Is there a southbound interface?
	- Vorhandensein eines Southbound Interfaces
	- Erklärung Southbound Interface

29. Is SNMP supported?
	- Kann SNMP verwendet werden?

31. Are webhooks supported?
	- Können Webhooks empfangen werden?

33. Is Messagepack supported?
	- Kann Messagepack verwendet werden?
	- Messagepack erklären

1. Is MQTT supported?
	- Kann MQTT verwendet werden?
	- MQTT erklären

3. Is Syslog supported?
	- Kann SNMP verwendet werden?
	- Syslog erklären

5. Is a log file parser included?
	- Können Logdateien fortlaufend ausgewertet werden?

7. Is there a root cause analysis function?
	- Können Ursachen von Problemen (Root-Cause) automatisch gefunden werden?

9. Is transformation of data to custom format supported?
	- Können eingehende Daten in ein eigenes Logformat transformiert werden?

11. Is the software SCOM compatible?
	- Ist die Software SCOM kompatibel
	- SCOM erklären

13. Are interfaces available?
	- Sind Web-Schnittstellen 
	1. REST
	- 
	1. SOAP

	2. Other?

15. Can bursts be intercepted?
	- Können Bursts an SNMP-Traps sicher abgefangen und verarbeitet werden? 

17. Can own log formats be defined?
	- Können eigene Log Formate zur Verarbeitung definiert werden?

19. Can the system be used as UFM (Umbrella Fault Management)?
	- Einsetzbar als UFM
	- UFM erklären

21. Can logs, metrics and traces be captured?
	- Können Logs, Metriken und Traces aufgezeichnet werden?
	1. Can these be evaluated evaluated automatically
			- Können diese automatisiert ausgewertet werden?

23. Is workflow monitoring possible?
	- Können Workflows überwacht werden?

25. Is application monitoring possible?
	- Können Workflows überwacht werden?

27. Is license monitoring possible?
	- Können Workflows überwacht werden?

29. Is hardware monitoring possible?
	- Können Workflows überwacht werden?

31. Is there a rights model (user/operator/admin...)?

32. Is the system deployable on Kubernetes?

33. Are deployments to multiple locations possible?

34. Is there a SaaS solution?

35. Can the tool be operated in the cloud?

36. Is there a license model?

	1. Per device

	2. Per aspect

	3. Other

37. Is there a redundancy concept?

38. Is support available?

	1. Mail Support?

	2. Chat support?

	3. Is it possible to have a dedicated contact person?

39. Is there an SLA?

40. Is the software open source?

41. Is the software customizable by SWR?

	1. Is it updateable by SWR?

	2. Can it be further used as SWR's own fork?
